@import "../../style/miam.scss";

.miam-catalog-category__slider {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  top: 0px;
  height: calc(100% - 28px);
  width: 48px;
  margin: 12px 0 16px;
  background-color: rgba(32, 32, 32, 0.3);
  backdrop-filter: blur(12px);
  cursor: pointer;
}

.miam-catalog-category {
  display: flex;
  flex-direction: column;

  .miam-catalog-category__header {
    display: flex;
    flex-direction: row;
    align-items: flex-end;

    .miam-catalog-category__title {
      margin-left: 16px;
      font-size: 24px;
      font-weight: bold;
      color: var(--m-color-primary);
      cursor: pointer;

      &:hover {
        text-decoration: underline;
      }
    }

    .miam-catalog-category__link {
      margin-left: 16px;
      font-size: 14px;
      line-height: 28px;
      color: var(--m-color-grey-text);
      cursor: pointer;

      &:hover {
        text-decoration: underline;
      }
    }

    .icon-container {
      transform: rotate(-90deg);
      margin-bottom: 3px;
      cursor: pointer;
    }
  }

  .miam-catalog-category__content {
    position: relative;
    width: 100%;
    height: 332px;
    overflow: hidden;

    .miam-catalog-category__cards {
      display: flex;
      flex-direction: row;
      transition-duration: 500ms;

      .miam-catalog-category__loader {
        width: 100%;
        font-size: 20px;
        font-weight: bold;
        color: var(--m-color-grey-text);
        text-align: center;
    
        .loader {
          margin-top: 80px;
          margin-bottom: 16px;
          margin-left: calc(50% - 40px);
          height: 80px;
          width: 80px;
        }
      }

      .miam-catalog-category__card {
        margin: 12px 0 16px 16px;
      }
    }

    .miam-catalog-category__slider__right {
      @extend .miam-catalog-category__slider;
      right: 0px;
      border-radius: 8px 0px 0px 8px;

      .icon-container {
        transform: rotate(-90deg);
      }
    }

    .miam-catalog-category__slider__left {
      @extend .miam-catalog-category__slider;
      left: 0px;
      border-radius: 0px 8px 8px 0px;

      .icon-container {
        transform: rotate(90deg);
      }
    }
  }
}